Bug 512761 - pkgconfig file in cryptopp-devel
Summary: pkgconfig file in cryptopp-devel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cryptopp
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Aurelien Bompard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-07-20 17:20 UTC by nucleo
Modified: 2010-01-02 03:35 UTC (History)
4 users (show)

Fixed In Version: 5.6.1-0.1.svn479.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-02 03:30:38 UTC
Type: ---


Attachments (Terms of Use)

Description nucleo 2009-07-20 17:20:54 UTC
Description of problem:
I it possible to add file /usr/lib/pkgconfig/libcrypto++.pc in cryptopp-devel package to make it possible other programs built with "-lcrypto++"?

The same Debian bug:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=473090
Debian package:
http://packages.debian.org/squeeze/i386/libcrypto++-dev/filelist

Version-Release number of selected component (if applicable):
cryptopp-5.6.0-1.fc11.i586

Comment 1 nucleo 2009-07-22 15:51:31 UTC
libcrypto++.pc created also in ALT Linux libcryptopp-devel:

http://sisyphus.ru/ru/srpm/Sisyphus/libcryptopp/spec

Comment 2 nucleo 2009-10-27 03:07:16 UTC
Here related theme in Crypto++ Users mailing list
http://groups.google.com/group/cryptopp-users/browse_thread/thread/fdc4fee25e636a8eCrypto++ Users mailing list

Also it is necessary to add link crypto++ to cryptopp in /usr/include to make it possible build other programs as it was done in Debian.

Comment 3 nucleo 2009-10-27 03:09:06 UTC
correct link to Crypto++ Users mailing list

http://groups.google.com/group/cryptopp-users/browse_thread/thread/fdc4fee25e636a8e

Comment 4 Rahul Sundaram 2009-10-28 19:09:13 UTC
Built for Fedora 13. 

http://koji.fedoraproject.org/koji/taskinfo?taskID=1775227

Take a look and let me know and I will build for other branches as well.

Comment 5 nucleo 2009-11-03 00:37:06 UTC
cryptopp-5.6.0-4.fc13 looks good.
http://koji.fedoraproject.org/koji/buildinfo?buildID=138776

Based on this discussion
http://groups.google.com/group/cryptopp-users/browse_thread/thread/3b316bcec601730e
I decided to apply to kvirc patch that changes include path to cryptopp instead of crypto++ and makes possible using of our cryptopp.pc.

This kvirc build was completed
http://koji.fedoraproject.org/koji/buildinfo?buildID=139491

Just cosmetical questions:
May be instead of "Name: libcrypto++" should be "Name: Crypto++" or "Name: cryptopp"?
Why cryptopp.pc in %{_datadir}/pkgconfig/ when most of .pc files are in %{_libdir}/pkgconfig/ ?

Any assumptions of why cryptopp-5.6.0-5.fc13 build failed?

Is it possible to build this package also at least for F11 and F12?

Comment 6 Fedora Update System 2009-12-17 15:36:29 UTC
cryptopp-5.6.1-0.1.svn479.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/cryptopp-5.6.1-0.1.svn479.fc11

Comment 7 Fedora Update System 2009-12-17 15:37:59 UTC
cryptopp-5.6.1-0.1.svn479.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/cryptopp-5.6.1-0.1.svn479.fc12

Comment 8 Fedora Update System 2009-12-18 04:18:22 UTC
cryptopp-5.6.1-0.1.svn479.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cryptopp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13272

Comment 9 Fedora Update System 2009-12-18 04:45:31 UTC
cryptopp-5.6.1-0.1.svn479.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cryptopp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-13390

Comment 10 Fedora Update System 2010-01-02 03:30:33 UTC
cryptopp-5.6.1-0.1.svn479.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-01-02 03:35:18 UTC
cryptopp-5.6.1-0.1.svn479.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.